Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface DeploymentTaskRuntimeMBean

public interface DeploymentTaskRuntimeMBean
extends TaskRuntimeMBean

Base interface for deployment task MBeans. These MBeans track the progress of a deployment task.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `APP_NOTIFICATION_LEVEL` Indicates only application level deployment notifications are propogated to the admin server.
`static long` | `CACHING_STUB_SVUID`
`static int` | `DEFAULT_NOTIFICATION_LEVEL` The default notification level for deployments.
`static int` | `MODULE_NOTIFICATION_LEVEL` Indicates application and module level deployment notifications are propogated to the admin server.
`static int` | `NONE_NOTIFICATION_LEVEL` Indicates no deployment notifications are propogated to the admin server.
`static int` | `STATE_COMPLETED` Indicates the task completed successfully
`static int` | `STATE_DEFERRED` Indicates the task is deferred
`static int` | `STATE_FAILED` Indicates the task failed
`static int` | `STATE_INITIALIZED` Indicates the task has been created but not started.
`static int` | `STATE_RUNNING` Indicate the task is in progress

Method Summary
`void` | `cancel()` Attempt to cancel the task.
`TargetStatus` | `findTarget(java.lang.String target)` Status for a specific target of this deployment.
`java.lang.String` | `getApplicationName()` The name for the application that was specified to DeployerRuntime.activate
`DeploymentData` | `getDeploymentData()` Data associated with this task
`ApplicationMBean` | `getDeploymentObject()` The Application MBean involved in this task.
`java.lang.String` | `getId()` A task can be referenced by the id assigned to it, or one the user assigns to it.
`int` | `getNotificationLevel()` Returns the notification level applied to this task
`java.lang.String` | `getSource()` The source file that was specified to DeployerRuntime.activate.
`int` | `getState()` Overall state of this task
`TargetStatus[]` | `getTargets()` Target based deployment status information for this deployment.
`int` | `getTask()` Indicates specific task associated with this MBean
`java.util.List` | `getTaskMessages()` ordered list of messages generated for the task.
`boolean` | `isInUse()` This indicates if the MBean is free for deletion or timeout.
`void` | `setNotificationLevel(int level)` Establish a notification level for this task.
`void` | `start()` Initiate the request.

Methods inherited from interface weblogic.management.runtime.TaskRuntimeMBean
`getBeginTime, getDescription, getEndTime, getError, getParentTask, getStatus, getSubTasks, isRunning, isSystemTask, setSystemTask`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### NONE_NOTIFICATION_LEVEL

    public static final int NONE_NOTIFICATION_LEVEL

  Indicates no deployment notifications are propogated to the admin server.
  See Also:
    `setNotificationLevel(int)`

### APP_NOTIFICATION_LEVEL

    public static final int APP_NOTIFICATION_LEVEL

  Indicates only application level deployment notifications are propogated to the admin server. This is the default notification level.
  See Also:
    `setNotificationLevel(int)`

### MODULE_NOTIFICATION_LEVEL

    public static final int MODULE_NOTIFICATION_LEVEL

  Indicates application and module level deployment notifications are propogated to the admin server.
  See Also:
    `setNotificationLevel(int)`

### DEFAULT_NOTIFICATION_LEVEL

    public static final int DEFAULT_NOTIFICATION_LEVEL

  The default notification level for deployments.
  See Also:
    `setNotificationLevel(int)`

### STATE_INITIALIZED

    public static final int STATE_INITIALIZED

  Indicates the task has been created but not started.

### STATE_RUNNING

    public static final int STATE_RUNNING

  Indicate the task is in progress

### STATE_COMPLETED

    public static final int STATE_COMPLETED

  Indicates the task completed successfully

### STATE_FAILED

    public static final int STATE_FAILED

  Indicates the task failed

### STATE_DEFERRED

    public static final int STATE_DEFERRED

  Indicates the task is deferred

Method Detail

### getTask

    public int getTask()

  Indicates specific task associated with this MBean

  Returns:
    value of task. e.g. DEPLOY_TASK_ACTIVATE

### getTargets

    public TargetStatus[] getTargets()

  Target based deployment status information for this deployment. For distributed deployment, there is one TargetStatus for each target

  Returns:
    The targets value

### findTarget

    public TargetStatus findTarget(java.lang.String target)

  Status for a specific target of this deployment.

  Parameters:
    `target` - is the name of a target (server or cluster name)
  Returns:

### getDeploymentObject

    public ApplicationMBean getDeploymentObject()

  The Application MBean involved in this task. This returns the Admin MBean, the one based on config.xml, that applies to all servers this application is associated with.

  Returns:
    The deploymentObject value

### getDeploymentData

    public DeploymentData getDeploymentData()

  Data associated with this task

  Returns:
    The deploymentData value

### getId

    public java.lang.String getId()

  A task can be referenced by the id assigned to it, or one the user assigns to it.

  Returns:
    The id value

### cancel

    public void cancel()
                throws java.lang.Exception

  Attempt to cancel the task. Any actions which have yet to start will be inhibited. Any completed actions will remain in place.
  Specified by:
    cancel in interface TaskRuntimeMBean

  Throws:
    java.lang.Exception -

### start

    public void start()
               throws ManagementException

  Initiate the request. When invoking `DeployerRuntimeMBean.activate(String, String, String, DeploymentData, String, boolean)`, `DeployerRuntimeMBean.deactivate(String, DeploymentData, String, boolean)`, `DeployerRuntimeMBean.unprepare(String, DeploymentData, String, boolean)`, or `DeployerRuntimeMBean.remove(String, DeploymentData, String, boolean)` with the startTask option set to false, this method is used to initiate the task. throws ManagementException if task is already started or any failures occur during task processing.

  Throws:
    ManagementException -

### isInUse

    public boolean isInUse()

  This indicates if the MBean is free for deletion or timeout.

  Returns:
    The inUse value

### getSource

    public java.lang.String getSource()

  The source file that was specified to DeployerRuntime.activate.

  Returns:
    The source value

### getApplicationName

    public java.lang.String getApplicationName()

  The name for the application that was specified to DeployerRuntime.activate

  Returns:
    The applicationName value

### getState

    public int getState()

  Overall state of this task

  Returns:
    The state value

### getNotificationLevel

    public int getNotificationLevel()

  Returns the notification level applied to this task

  Returns:
    The notificationLevel value

### setNotificationLevel

    public void setNotificationLevel(int level)

  Establish a notification level for this task. Deployment notifications are always sent to the local application MBean associated with this task, and are logged in the managed server log. The NotificationLevel attribute affects whether the notifications are also sent to the admin server. The valid levels are:

  none: no deployment notifications are sent to the admin server

  application: only application level notifications are sent to the admin server

  module: application and module level notifications are sent to the admin server

  Parameters:
    `level` - The new notificationLevel value
  See Also:
    `DeploymentNotification`, `NONE_NOTIFICATION_LEVEL`, `APP_NOTIFICATION_LEVEL`, `MODULE_NOTIFICATION_LEVEL`

### getTaskMessages

    public java.util.List getTaskMessages()

  ordered list of messages generated for the task. Each member in the list is a String object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD